Package javassist.bytecode

# Class CodeIterator.Gap

java.lang.Object
javassist.bytecode.CodeIterator.Gap

Enclosing class:
  `CodeIterator`

public static class CodeIterator.Gap extends Object
An inserted gap.

Since:
  3.11

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`length`
The length of the gap.
`int`
`position`
The position of the gap.

## Constructor Summary

Constructors
Constructor
Description
`Gap()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### position

public int position
The position of the gap.

### length

public int length
The length of the gap.

## Constructor Details

### Gap

public Gap()